Bug 95883 - CALC: Add option to clear all unprotected cells in protected sheet
Summary: CALC: Add option to clear all unprotected cells in protected sheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: high enhancement
Assignee: Gülşah Köse
QA Contact:
URL:
Whiteboard: target:6.0.0
Keywords: needsUXEval
Depends on:
Blocks:
 
Reported: 2015-11-17 19:55 UTC by Timur
Modified: 2017-06-15 13:50 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Timur 2015-11-17 19:55:43 UTC
Currently, there is no way to clear all unprotected cells in protected sheet, and that option would be very useful.
Question is: how to do it?
Some options:
- keep Clear Cells available on a protected sheet, that would delete unprotected cells only, or
- add Select Unprotected Cells to Edit menu, and if unprotected cells only are selected Clear Cells should be available
Comment 1 Buovjaga 2015-11-18 08:13:05 UTC
It sounds good, so setting to NEW.
Let's involve UX in the discussion.
Comment 2 Timur 2016-01-14 08:18:48 UTC
Or would it be the new Sheet menu?
Comment 3 Pelládi Gábor 2016-04-24 08:10:55 UTC
This would be very useful indeed.
In my spreadsheet, there are multiple sheets. We have to keep the contents of one sheet week by week, but we have to clear all input values from another sheet. But only the values, the formulas must be kept.
It would be very useful to be able to clear all unprotected cells from the second sheet. Currently we are manually selecting each value and clearing them. Because the sheet is rather large, it is tedious.
Comment 4 mrelwood 2016-06-01 22:58:22 UTC
Yes, please! Have missed this for quite a while.

I'm creating a weekly timetable, and would love to have a column of cells calculating the total daily hours. Currently the timetable can be cleared by selecting all relevant (yellow) cells in one swipe, but the hour calculators between the days would prevent this.

Selecting all cells and clearing only the un-protected cells would make this possible.
Comment 5 Robinson Tryon (qubit) 2016-08-25 05:49:14 UTC Comment hidden (no-value, obsolete)
Comment 6 Gülşah Köse 2017-05-05 11:40:54 UTC
Select unprotected cells is more make sense. You can clear, copy, change attributes so on. Now working on it.
Comment 7 Commit Notification 2017-06-12 11:12:27 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed715a460254e4d72c78ff6eb244a9fc6692e2a6

tdf#95883 Select Unprotected Cells in Calc

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Timur 2017-06-14 07:27:45 UTC
It's in Edit-Select menu. Fine. 
Since 5.4 is still not out, and per https://wiki.documentfoundation.org/ReleasePlan/5.4#5.4.0_release UI freeze is still not done, please backport.
Comment 9 Yousuf Philips (jay) 2017-06-14 13:55:40 UTC
With the comments in the patch that state that additional work needs to happen, i dont think this will be backported in time.

https://gerrit.libreoffice.org/#/c/37424/
Comment 10 Commit Notification 2017-06-15 13:50:24 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d48ea7a1db4eaae0bae094f2155dcd3bc87720eb

Prevent excess rows included in the resulting range list, tdf#95883 follow-up

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.